eNulObjectId Error - Answered
Hello, I have searched all over and have tried a number of variations on this code to fix the issue, but nothing works.
I get the error (attached) at the line:
Dim podBTR As BlockTableRecord = podTopSubTrans.GetObject(podBT(BlockTableRecord.ModelSpace), OpenMode.ForWrite)
If anyone can tell me what I'm doing wrong, please let me know.
Imports Teigha.Runtime Imports Teigha.DatabaseServices Imports Teigha.Geometry Imports Bricscad.ApplicationServices Imports Bricscad.Runtime Imports Bricscad.EditorInput Imports _AcDb = Teigha.DatabaseServices Public Sub drawTopOutlineFCBGA(ByVal drawingStartPoint As Double, ByVal subLength As Double, ByVal subHeight As Double, ByVal ballLeadPitch As Double, ByVal dwg_scale As Double, ByVal dwgTextHeight As Double, ByVal libPath As String) Dim podDWG As Document = Application.DocumentManager.MdiActiveDocument Dim podED As Editor = podDWG.Editor Using docloc As DocumentLock = podDWG.LockDocument Using podDB As Database = podDWG.Database Using podTopSubTrans As Transaction = podDB.TransactionManager.StartTransaction Try Dim podBT As BlockTable = DirectCast(podTopSubTrans.GetObject(podDB.BlockTableId, OpenMode.ForRead), BlockTable) Dim podBTR As BlockTableRecord = podTopSubTrans.GetObject(podBT(BlockTableRecord.ModelSpace), OpenMode.ForWrite) Dim subX1 As Double, subX2 As Double, subY1 As Double, subY2 As Double, dimLSuffix As String, dimHSuffix As String, dimatfitValue As Integer
This code worked in AutoCad (though I've made minimal changes for it to work in BricsCAD). I'm still getting used to the changes in BricsCAD.
Thanks
0
Comments
-
Ok, I believe I have this one fixed. It is weird to me because it had nothing to do with the text in the code.
In the properties, I had the default configuration set to "Released". I changed it to "Debug" and that seems to have taken care of it.0